Subject: bug#39601: closed (Re: bug#39601: srfi library naming in r7rs)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 02 Nov 2021 17:54:02 +0000

Your bug report

#39601: srfi library naming in r7rs

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39601: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39601
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39601: srfi library naming in r7rs
From: lloda <[email-masked]>
To: Taylan Kammer <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 2 Nov 2021 18:53:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Applied in a960d7869bc82bb56d5446ece01b8efff9b15fef. Thank you!

Subject: srfi library naming in r7rs
From: Duy Nguyen <[email-masked]>
To: [email-masked]
Date: Fri, 14 Feb 2020 21:48:20 +0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm running Guile 3.0.0 and very new to Guile. Forgive me if this is
not the right place to report (or whether I should do more search,
where?, before reporting)

It seems like in r7rs mode, srfi libraries are still named in "Guile
style", (srfi srfi-1). I can't find a place in r7rs-small to spell out
"srfi followed by a number". But it seems every other r7rs scheme goes
with (srfi 1) instead. Should Guile support this naming convention as
well? It certainly makes it easier to reuse external libraries.
-- 
Duy